---
title: <flex>
slug: Web/CSS/flex_value
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;flex&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> denotes a flexible length within a grid container. It is used in {{cssxref("grid-template-columns")}}, {{cssxref("grid-template-rows")}} and other related properties.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;flex&gt;</code> data type is specified as a {{cssxref("&lt;number&gt;")}} followed by the unit <a id="fr"><code>fr</code></a>. The <code>fr</code> unit represents a fraction of the leftover space in the grid container. As with all CSS dimensions, there is no space between the unit and the number.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Examples_of_correct_values_for_the_fr_data_type">Examples of correct values for the fr data type</h3>

<pre class="brush: css notranslate">1fr    /* Using an integer value */
2.5fr  /* Using a float value */
</pre>

<h3 id="Example_of_use_in_a_tracklisting_for_CSS_Grid_layout">Example of use in a tracklisting for CSS Grid layout</h3>

<pre class="brush: css notranslate">.grid {
  display: grid;
  grid-template-columns: 1fr 1fr 2.5fr 1.5fr;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Grid", "#typedef-flex", "&lt;flex&gt;")}}</td>
   <td>{{Spec2("CSS Grid")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.flex")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout">CSS Grid Layout</a></li>
</ul>
